<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_DATATABLE_CSS}}"></link>
</head>
<body>
 	<div class="ui main container" th:fragment="page">
      <h2 class="ui header">
         <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_YEARS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
         <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEARS}}"></span>
      </h2>
	  <br/>
      <div th:if="${not #lists.isEmpty(times)}">
         <table class="ui table center aligned" id="times" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <thead>
               <tr>
                  <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}"></th>
                  <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATE}}"></th>
                  <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MONTH}}"></th>
                  <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEAR}}"></th>
                  <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAYOFWEEK}}"></th>
                  <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT}}"></th>
                  <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_COMPENSATIONDAYS}}"></th>
                  <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOLIDAY}}"></th>
               </tr>
            </thead>
            <tbody>
               <tr th:each="time : ${times}">
                  <td th:text="${time.id}"></td>
                  <td th:text="${#dates.format(time.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></td>
                  <td th:text="${time.month}"></td>
                  <td th:text="${time.year.id}"></td>
                  <td th:text="${time.dayOfWeek}"></td>
                  <td th:text="${time.fortnight}"></td>
                  <td ><i th:class="${time.compensationDay} ? ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECKED} : ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_UNCHECKED}"></i></td>
                  <td ><i th:class="${time.holiday} ? ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECKED} : ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_UNCHECKED}"></i></td>
               </tr>
            </tbody>
        </table>
	 </div>
	 <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                      	icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                      	icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_YEARS}
                                                      	)"/>
     <br/>
  
  </div>
  
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_TIMES_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_DATATABLE_JS}}"></script>    
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SEMANTICUI_DATATABLES_JS}}"></script>
</body>
</html>
  
  